|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QStatusBar

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QStatusBar class reference

### Public Functions

- QStatusBar ( QWidget * parent, const char * name )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

### Public Slots

- void clear ()
- void message ( const QString & message, int timeout = 0 )

- 1 public slot inherited from QWidget

## Member Function Documentation

### QStatusBar::QStatusBar ( QWidget * parent, const char * name )

Constructs a status bar called name with parent parent and with a size grip.

See also setSizeGripEnabled().

### void QStatusBar::clear () `[slot]`

Removes any temporary message being shown.

### void QStatusBar::message ( const QString & message, int timeout = 0 ) `[slot]`

Hides the normal status indications and displays message for timeout milli-seconds or until clearMessage() or another showMessage() is called, whichever occurs first.